# NUTANIX

The Nutanix UI Extension for Rancher is a powerful integration that enhances the Rancher user experience when deploying and managing Kubernetes clusters on Nutanix Cloud Platform. This extension provides a seamless experience between Rancher and the Nutanix platform, allowing users to easily configure cluster resources with direct access to Nutanix platform resources.


## Key Features

- **Direct Nutanix Platform Integration**: Communicates directly with the Nutanix platform to retrieve and display available resources in real-time.

- **Simplified Resource Selection**: Offers pre-populated dropdown lists for easy selection of:
  - Projects
  - Clusters
  - Networks
  - Images
  - Categories
  - Storage containers

- **Enhanced User Experience**: Streamlines the cluster configuration process with an intuitive UI specifically designed for Nutanix environments.

- **Automated Resource Discovery**: Automatically discovers and presents Nutanix resources, eliminating manual entry errors and reducing deployment time.

- **Rancher Node Driver Integration**: Works seamlessly with the Rancher Nutanix node driver to provide a complete solution for Kubernetes on Nutanix.

## Benefits

- **Reduced Configuration Time**: Simplifies the process of setting up clusters on Nutanix Cloud Platform.
  
- **Error Reduction**: Pre-populated fields reduce the risk of configuration errors during cluster creation.

- **Improved Visibility**: Provides clear visibility into available Nutanix resources directly from the Rancher interface.

- **Enhanced Productivity**: Allows operators to deploy clusters faster with fewer manual steps.

## Prerequisites

- Nutanix Prism Central 2024.3+
- Nutanix Rancher Node Driver v3.6.0+
- Rancher 2.10.0+